Update a tier rule
curl --request PUT \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
min_xp_threshold: 123,
tier_name: '<string>',
benefits_description: '<string>',
color: '<string>',
icon: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}"
payload = {
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"success": true
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Tiers
Update a tier rule
Replaces a tier rule through the Portal API.
See the Gateway API entry for the full description.
PUT
/
tenant
/
{tenantId}
/
tiers
/
{tierId}
Update a tier rule
curl --request PUT \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
min_xp_threshold: 123,
tier_name: '<string>',
benefits_description: '<string>',
color: '<string>',
icon: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}"
payload = {
"min_xp_threshold": 123,
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"success": true
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Authorizations
Auth0 access token
Body
application/json
⌘I

